package org.rcisoft.core.util;


import cn.hutool.json.JSONUtil;
import org.rcisoft.business.opmArticleCommentMessageError.dao.OpmArticleCommentMessageErrorRepository;
import org.rcisoft.business.opmArticleCommentMessageError.entity.OpmArticleCommentMessageError;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Configuration;

import java.math.BigInteger;
import java.util.List;
import java.util.Map;


@Configuration
public class BusinessUtil {

    @Autowired
    private OpmArticleCommentMessageErrorRepository opmArticleCommentMessageErrorRepository;

    /**
     * 插入 动态评论留言表 错误信息
     */
    public void insertArticleCommentMessageError(List<String> msg,Integer id,String content,String type,String style){
        // 将json转成map对象
        Map<String, Object> map = JSONUtil.parseObj(msg.get(0));
        String reason = (String) map.get("msg");
        // 添加信息到错误表
        OpmArticleCommentMessageError opmArticleCommentMessageError = new OpmArticleCommentMessageError();
        if (id != null){
            opmArticleCommentMessageError.setArticleId(BigInteger.valueOf(id));
        } else {
            opmArticleCommentMessageError.setArticleId(null);
        }
        opmArticleCommentMessageError.setType(type);
        opmArticleCommentMessageError.setReason(reason);
        opmArticleCommentMessageError.setExamType(style);
        opmArticleCommentMessageError.setContent(content);
        opmArticleCommentMessageError.setRemarks(msg.toString());
        opmArticleCommentMessageErrorRepository.insert(opmArticleCommentMessageError);
    }
}
